Bug 7768 - /etc/rc.d/init.d/halt жестко завязан на raidtools
: /etc/rc.d/init.d/halt жестко завязан на raidtools
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-27 14:53 by
Modified: 2006-10-17 16:39 (History)


Attachments
Script for shutdown RAID drives (791 bytes, text/plain)
2006-05-02 02:39, evseev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-27 14:53:15
/etc/rc.d/init.d/halt жестко завязан на raidtools.
А если вместо raidtools стоит mdadm - может получится локальный бадабум.
------- Comment #1 From 2005-08-30 00:56:57 -------
Как обычно в таких ситуациях - проверенные патчи приветствуются.
------- Comment #2 From 2006-04-30 01:33:15 -------
Илья, может у васесть патч?
------- Comment #3 From 2006-04-30 06:30:53 -------
Сейчас гляну.
------- Comment #4 From 2006-05-02 02:39:53 -------
Created an attachment (id=1473) [details]
Script for shutdown RAID drives

Предлагается вариант сценария для остановки RAID-массивов,
автоматически выбирающий mdadm или raidtools:
/etc/rc.d/scripts/raidstop
Не тестировался.
halt должен быть пропатчен следующим образом:
--- startup-0.9.8.4/rc.d/init.d/halt.orig   2005-12-08 21:38:05 +0300
+++ startup-0.9.8.4/rc.d/init.d/halt	    2006-05-02 01:38:29 +0400
@@ -109,20 +109,7 @@
	"Unmounting filesystem (retry)"
 
 # Turn off raid.
-RAIDSTOP=/sbin/raidstop
-if [ -x "$RAIDSTOP" -a -f /etc/raidtab ]; then
-	# we can not use raidstop -a here because this will only stop
-	# devices listed in the default config file which is not always
-	# the case. So we look only for the active raid devices
-	if [ -f /proc/mdstat ] ; then
-		mddevs=$(grep ^md /proc/mdstat | awk '{ print $1 }')
-		for mddev in $mddevs ; do
-			action "Turning off RAID for $mddev:" "$RAIDSTOP"
"/dev/$mddev"
-		done
-		unset mddev mddevs
-	fi
-	#action "Turning off RAID:" /sbin/raidstop -a
-fi
+/etc/rc.d/scripts/raidstop
 
 [ -f /proc/bus/usb/devices ] && umount -n /proc/bus/usb >/dev/null 2>&1
------- Comment #5 From 2006-08-15 22:18:08 -------
Fixed in 0.9.8.5.